
TYPO3.Eel - Bug # 50150

Status: Resolved Priority: Should have
Author: Pankaj Lele Category:
Created: 2013-07-18 Assigned To: Robert Lemke
Updated: 2013-10-01 Due date:
Subject: Hyphens are not allowed in Eel selectors
Description

For example with Eel ${q(site).children('my-page')} following error is thrown "The Selector "my-page" could not be parsed. Error at
character 3."

Associated revisions
Revision 4103a1f7 - 2013-09-20 15:52 - Robert Lemke

[BUGFIX] Hyphens are not allowed in Eel selectors

Solves an issue with the Fizzle Parser which complained if an identifier
contained hyphens.

Change-Id: Id41d5bc43e6ef85ac88b5a6586dc5baeeb4f6556
Releases: master
Fixes: #50150
Reviewed-on: https://review.typo3.org/23936
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke
Reviewed-by: Sebastian Kurfuerst

History
#1 - 2013-07-24 14:35 - Aske Ertmann
- Target version set to 1.0 alpha 6

#2 - 2013-09-20 15:31 - Robert Lemke
- Project changed from TYPO3.TypoScript to TYPO3.Eel
- Status changed from New to Accepted
- Assigned To changed from Sebastian Kurfuerst to Robert Lemke

#3 - 2013-09-20 15:37 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23936

#4 - 2013-09-20 15:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23936
#5 - 2013-09-20 16:36 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4103a1f7a96043e2467f894384a5c7425fd63b49.

#6 - 2013-10-01 10:29 - Christian Müller
- Target version deleted (1.0 alpha 6)
